Subject: Re: [PATCH 3/3] pack-write: rename *.idx file into place last (really!)

From: Taylor Blau <[email-masked]>
Date: Tue, 7 Sep 2021 18:31:28 -0400

On Tue, Sep 07, 2021 at 09:42:38PM +0200, Ævar Arnfjörð Bjarmason wrote:
> +			/*
> +			 * We must write the *.idx last, so that anything that expects
> +			 * an accompanying *.rev, *.bitmap etc. can count on it being
> +			 * present.
> +			 *
> +			 * See also corresponding logic in the "exts"
> +			 * struct in builtin/repack.c
> +			 */

TBH, I'm not sure the cycle between comments helps much, and it would
probably suffice to say:

  /*
   * write the .idx last, so everything else can count on its existence
   */

In both places. But I don't think that it makes much of a difference,
really, so either outcome is fine with me.

Thanks,
Taylor